2

I referred some documents on GIS-stackexchange and over internet regarding installation of pgRouting on Postgres v9.1 and windows 32. I am not getting the correct version of pgRouting to install. Can anyone guide me to get the right pgRouting version for Postgres 9.1 and windows 32.

I tried winnie builds and sanak builds but I am getting errors after running SQL query CREATE EXTENSION pgrouting;. The error are:

  1. Using winnie build for Postgres 9.1 and win 64 ERROR: incompatible library "C:/Program Files/PostgreSQL/9.1/lib/librouting.dll": version mismatch

  2. Using pgRouting for Postgres 9.2 and win 32 ERROR: incompatible library "C:/Program Files/PostgreSQL/9.1/lib/librouting.dll": version mismatch

  3. Using Sanak build: ERROR: could not load library "C:/Program Files/PostgreSQL/9.1/lib/librouting_bd.dll": The specified module could not be found.

2

Your version of PostgreSQL must match with the version of the DLL it was compiled for. Also 32bit or 64bit architecture matters, I think.

There should be various versions available on the Winnie build server: http://winnie.postgis.net/download/windows/

  • I have checked on Winnie build server, I did not found the build for Postgres 9.1 and Win 32. I tried Win 64 build, its not working. So Yes, 32bit or 64bit architecture matters. Is there any alternate site to find this build or do I have to change the Postgres version. – Min May 2 '14 at 5:24
  • I'm not a Windows users, so other people might no better. But as far as I know, the Winnie build server is currently the best choice for Windows binaries. – dkastl May 2 '14 at 12:14
  • I'm exactly the same problem with my version is 9.1 with 32-bit windows and I can not install pgrouting, how you solved it? – csf Jul 22 '14 at 18:32

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.